BamInterface Class Reference
Inheritance diagram for BamInterface:
[legend]
Collaboration diagram for BamInterface:
[legend]

## Public Member Functions

virtual bool | readHeader (IFILE filePtr, SamFileHeader &header, SamStatus &samStatus)
virtual bool | writeHeader (IFILE filePtr, SamFileHeader &header, SamStatus &samStatus)
virtual void | readRecord (IFILE filePtr, SamFileHeader &header, SamRecord &record, SamStatus &samStatus)
virtual SamStatus::Status | writeRecord (IFILE filePtr, SamFileHeader &header, SamRecord &record, SamRecord::SequenceTranslation translation)
Public Member Functions inherited from GenericSamInterface
virtual bool | isEOF (IFILE filePtr)

## Detailed Description

Definition at line 23 of file BamInterface.h.

The documentation for this class was generated from the following files:

- bam/BamInterface.h
- bam/BamInterface.cpp